### Class

# Gtk PropertyExpression

#### Description [src]

    final class Gtk.PropertyExpression : GObject.TypeInstance
    {
      /* No available fields */
    }

A `GObject` property value in a `GtkExpression`.

#### Ancestors

- GtkExpression

#### Constructors

###### gtk_property_expression_new

Creates an expression that looks up a property.

###### gtk_property_expression_new_for_pspec

Creates an expression that looks up a property.

#### Instance methods

###### gtk_property_expression_get_expression

Gets the expression specifying the object of a property expression.

###### gtk_property_expression_get_pspec

Gets the `GParamSpec` specifying the property of a property expression.

##### Methods inherited from GtkExpression (7)

###### gtk_expression_bind

Bind `target`‘s property named `property` to `self`.

###### gtk_expression_evaluate

Evaluates the given expression and on success stores the result in `value`.

###### gtk_expression_get_value_type

Gets the `GType` that this expression evaluates to.

###### gtk_expression_is_static

Checks if the expression is static.

###### gtk_expression_ref

Acquires a reference on the given `GtkExpression`.

###### gtk_expression_unref

Releases a reference on the given `GtkExpression`.

###### gtk_expression_watch

Watch the given `expression` for changes.